Package org.apache.sysds.runtime.iogen

## Enum RowIndexStructure.IndexProperties

- java.lang.Object
- - java.lang.Enum<RowIndexStructure.IndexProperties>
  - - org.apache.sysds.runtime.iogen.RowIndexStructure.IndexProperties

All Implemented Interfaces:
  `Serializable`, `Comparable<RowIndexStructure.IndexProperties>`

Enclosing class:
  RowIndexStructure

    public static enum RowIndexStructure.IndexProperties
    extends Enum<RowIndexStructure.IndexProperties>

### Enum Constant Summary

Enum Constants
`CellWiseExist`
`Identity`
`RowWiseExist`
`SeqScatter`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static RowIndexStructure.IndexProperties` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static RowIndexStructure.IndexProperties[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Identity

    public static final RowIndexStructure.IndexProperties Identity

#### CellWiseExist

    public static final RowIndexStructure.IndexProperties CellWiseExist

#### RowWiseExist

    public static final RowIndexStructure.IndexProperties RowWiseExist

#### SeqScatter

    public static final RowIndexStructure.IndexProperties SeqScatter

### Method Detail

#### values

    public static RowIndexStructure.IndexProperties[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RowIndexStructure.IndexProperties c : RowIndexStructure.IndexProperties.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RowIndexStructure.IndexProperties valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<RowIndexStructure.IndexProperties>`